View Issue Details

IDProjectCategoryView StatusLast Update
0003501WishesFile associationspublic2017-11-01 02:09
ReporterJohnDoeAssigned ToDrKnS 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionduplicate 
Platformx86OSWindowsOS VersionXP SP3
Product Version3.0 
Target VersionFixed in Version 
Summary0003501: Не гасить панели при запуске префикса по ассоциации из командной строки
DescriptionПредлагаю не гасить панели в случае запуска из командной строки файла, ассоциация на который представляет собой префикс.

Обоснование:
- при запуске в командной строке префиксов без ассоциаций панели не гасятся.
- при запуске префикса по ассоциации файла с панели панели тоже не гасятся.
Это удобно, поскольку скрипт/плагин чаще всего в этом не нуждаются, а принудительное гашение наоборот, ограничивает возможности.
При необходимости вывести что-то в подпанельный буфер скрипт/плагин способен самостоятельно использовать Get/SetUserScreen.
Steps To ReproduceДля примера, создадим в текущей папке файл "xyz", и ассоциацию на "xyz": luas:io.write(Area.Current)
При нажатии Enter на файле текст будет выводится поверх командной строки, и то что панели не погашены видно и по содержанию (Shell)

Но теперь наберём "xyz" в командной строке, и запустим оттуда.
В результате текст также будет выведен поверх командной строки, но по содержанию (Other) видно что панели гасились.

Нагляднее всё это с другой ассоциацией: luas:far.Show(Area.Current)
Ассоциация с io.write была приведена с целью продемонстрировать бессмысленность гашения панелей, ведь скрипт всё равно не смог ничего вывести на экран.
TagsNo tags attached.
Build0

Relationships

duplicate of 0003524 closedzg FCTL_SETUSERSCREEN и диалоги 

Activities

DrKnS

2017-09-25 01:24

administrator   bugnote:0015615

5041

JohnDoe

2017-09-25 17:51

updater   bugnote:0015618

Спасибо, теперь отлично.
Для полного счастья не хватает только 0003498

JohnDoe

2017-09-25 17:57

updater   bugnote:0015619

Также возможно, что при запуске из комстроки фару следует печатать запускаемую команду самостоятельно, ведь скрипт на входе получает всегда полный путь, и с префиксом, а не то, что запустил пользователь фактически.

JohnDoe

2017-09-25 23:23

updater   bugnote:0015622

Last edited: 2017-11-01 01:39

View 3 revisions

Нашёл проблему.
Ассоциация такая:
luas:=panel.GetUserScreen(),panel.SetUserScreen(),Area.Current

SetUserScreen не срабатывает, хотя и возвращает true

P.S.
Точнее, срабатывает, но не в тот момент, когда требуется

Update:
Решено в рамках 0003524

JohnDoe

2017-09-28 09:56

updater   bugnote:0015625

Last edited: 2017-11-01 01:40

View 2 revisions

В этим тикетом не связано, но есть и другие места, откуда хотелось бы вызывать SetUserScreen, а не работает.

Мне это понадобилось, чтобы свободно перемежать между собой вывод в буфер, и диалоговые функции, меню.
Иначе даже сообщение об ошибке приводит к "мусору" в буфере.

Update:
Решено в рамках 0003524

JohnDoe

2017-11-01 01:51

updater   bugnote:0015780

Спасибо, можно закрывать.
(Оставшиеся вопросы либо решены, либо в отдельных тикетах)

Issue History

Date Modified Username Field Change
2017-09-22 18:20 JohnDoe New Issue
2017-09-25 01:24 DrKnS Note Added: 0015615
2017-09-25 01:24 DrKnS Assigned To => DrKnS
2017-09-25 01:24 DrKnS Status new => feedback
2017-09-25 17:51 JohnDoe Note Added: 0015618
2017-09-25 17:51 JohnDoe Status feedback => assigned
2017-09-25 17:57 JohnDoe Note Added: 0015619
2017-09-25 23:23 JohnDoe Note Added: 0015622
2017-09-28 09:56 JohnDoe Note Added: 0015625
2017-09-28 10:03 JohnDoe Note Edited: 0015622 View Revisions
2017-11-01 01:39 JohnDoe Note Edited: 0015622 View Revisions
2017-11-01 01:40 JohnDoe Note Edited: 0015625 View Revisions
2017-11-01 01:42 JohnDoe Relationship added related to 0003524
2017-11-01 01:51 JohnDoe Status assigned => resolved
2017-11-01 01:51 JohnDoe Note Added: 0015780
2017-11-01 02:09 DrKnS Status resolved => closed
2017-11-01 02:09 DrKnS Resolution open => duplicate
2017-11-01 02:09 DrKnS Build => 0
2017-11-01 02:09 DrKnS Relationship replaced duplicate of 0003524